diff scripts/prepare_statistics.sh @ 0:05c27700e5ca

initial commit
author biomonika <biomonika@psu.edu>
date Thu, 04 Sep 2014 18:24:19 -0400
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/prepare_statistics.sh	Thu Sep 04 18:24:19 2014 -0400
@@ -0,0 +1,26 @@
+#!/bin/bash
+set -e;
+
+#variables
+mkdir -p scripts/statistics; #create directory if it doesn't exist
+
+echo "Calculation of statistics started."
+
+#get statistics about mapped and unmapped reads for every contig
+
+	idxstats_bam_file () 
+	{
+	  for ARG in "$@";
+	    do
+	      samtools idxstats bam/aln_cleaned_sorted_deduplicated_${ARG}_male.bam >scripts/statistics/stat_${ARG} &
+	    done;
+	}
+
+	idxstats_bam_file mother father daughter son;
+
+wait;
+echo "Idxstats successfully created."
+
+
+
+